#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/install.sh - pciutils installation
#
# Creation   :  2010-04-14 holbru
# Last update:  $Id: postinstall-pciutils.sh 44311 2017-01-04 23:18:16Z hbfl $
#
# Copyright (c) 2010-2017 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set packages name
packages_name=pciutils

# ---------------------------------------------------------------------------
# UsrMerge
# ---------------------------------------------------------------------------

#cd /sbin
#rm -f lspci
#ln -sf ../usr/sbin/lspci

# ---------------------------------------------------------------------------
# update-2.6.2 ?
# ---------------------------------------------------------------------------
update_2_6_2()
{
rm -f /sbin/setpci
rm -f /usr/lib/libpci.so.3.1.10
rm -f /usr/lib/libpci.so.3.2.0
rm -f /usr/lib/libpci.so.3.2.1


# safe old libpci.so.2
if [ -f /usr/lib/libpci.so.2 ]
then
    cd /

    name='libpci'
    old_version='2'
    echo usr/lib/libpci.so.2 >> tmp/${name}-${old_version}-files.txt

    if [ -s /tmp/${name}-${old_version}-files.txt ]
    then
        tar -r -f /tmp/old-${name}-${old_version}.tar -T /tmp/${name}-${old_version}-files.txt

        xz /tmp/old-${name}-${old_version}.tar

        rm -f /tmp/${name}-${old_version}-files.txt
        rm -f /usr/lib/libpci.so.2 
    fi
fi
}

# ---------------------------------------------------------------------------
# update-2.7.3
# ---------------------------------------------------------------------------
update_2_7_3()
{
    rm -f /usr/lib/libpci.so.3.3.0
}

# ---------------------------------------------------------------------------
# update-2.7.9
# ---------------------------------------------------------------------------
update_2_7_9()
{
    rm -f /lib/libpci.so.3.3.0
    rm -f /lib/libpci.so.3.4.1
    rm -f /usr/lib/libpci.so.3.4.1
}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
